Skip to main content
`Ctrl`+`K`

# PCGetOptionsPrefix

Gets the prefix used for searching for all PC options in the database.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCGetOptionsPrefix(PC pc, const char *prefix[])

Not Collective

## Input Parameter

- pc - the `PC` preconditioner context

## Output Parameter

- prefix - pointer to the prefix string used, is returned

## See Also

KSP: Linear System Solvers, `PC`, `PCSetFromOptions`, `PCSetOptionsPrefix()`, `PCAppendOptionsPrefix()`

## Level

advanced

## Location

src/ksp/pc/interface/precon.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages